<template>
  <div>
    <h1>Lista de Tareas</h1>
    <button @click="logout">Cerrar sesión</button>
    <ul v-if="tasks.length">
      <li v-for="(task, index) in tasks" :key="index">
        <strong>{{ task.name }}</strong>: {{ task.description }}
      </li>
    </ul>
    <p v-else>No hay tareas disponibles.</p>
    <p v-if="errorMessage">{{ errorMessage }}</p>
  </div>
</template>

<script>
import axios from '@/axiosConfig';
import { useRouter } from 'vue-router';

export default {
  data() {
    return {
      tasks: [],
      errorMessage: '',
    };
  },
  setup() {
    const router = useRouter();
    return { router };
  },
  async created() {
    try {
      const response = await axios.get('http://18.100.253.149:9001/tasks');
      console.log(response.data);

      this.tasks = response.data;
    } catch (error) {
      this.errorMessage = 'Error al obtener las tareas';
    }
  },
  methods: {
    logout() {
      localStorage.removeItem('accessToken');
      this.router.push('/');
    },
  },
};
</script>
